Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 198930 - Xnest segfaults
Summary: Xnest segfaults
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-07-14 19:45 UTC by Tom London
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-27 00:23:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 1117 None None None Never

Description Tom London 2006-07-14 19:45:59 UTC
Description of problem:
Running 'Xnest -ac -noreset :5' under gnome/gdm segfaults.

Here is the output from 'gdb Xnest':
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208854112 (LWP 4287)]
0x082bd00b in PictureDestroyWindow ()
(gdb) where
#0  0x082bd00b in PictureDestroyWindow ()
#1  0x082cdee4 in SDamageNotifyEvent ()
#2  0x082cd4c5 in SDamageNotifyEvent ()
#3  0x082c8a36 in SDamageNotifyEvent ()
#4  0x080853fa in NotImplemented ()
#5  0x0012a214 in __libc_start_main () from /lib/libc.so.6
#6  0x0805d3a1 in ?? ()
(gdb) 


Version-Release number of selected component (if applicable):
xorg-x11-server-Xnest-1.1.1-5.fc6


How reproducible:
Every time

Steps to Reproduce:
1. install Xnest
2. 'Xnest -ac -noreset :5'
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Adam Jackson 2006-07-16 02:22:32 UTC
This appears to be a side effect of switching on Composite by default; since
Xnest lacks Render support, and Composite requires it, things blow up quite nicely.

I have a partial fix based on what I proposed in upstream Xorg bugzilla, but it
doesn't work quite right yet.

Comment 2 Tom London 2006-07-19 21:11:08 UTC
Still segfaults with xorg-x11-server-Xnest-1.1.1-6.fc6

Comment 3 Tom London 2006-07-24 13:48:15 UTC
Still segfaults with xorg-x11-server-Xnest-1.1.1-8.fc6

Comment 4 Adam Jackson 2006-07-27 00:23:42 UTC
Should be fixed now in xorg-x11-server-Xnest 1.1.1-11.fc6 or later.

Comment 5 Adam Jackson 2006-07-27 00:23:52 UTC
Should be fixed now in xorg-x11-server-Xnest 1.1.1-11.fc6 or later.


Note You need to log in before you can comment on or make changes to this bug.